--AH:ScriptId=751CB7CD-E096-440A-9976-59A0F4503795

CREATE TABLE [CondaPackages]
(
	[CondaPackage_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Package_Name] VARCHAR(200) NOT NULL,
	[Subdir_Name] VARCHAR(50) NOT NULL,
	[Version_Text] VARCHAR(255) NOT NULL,
	[Build_Text] VARCHAR(100) NOT NULL,
	[ArchiveType_Code] CHAR(1) NOT NULL,
	[Build_Number] INT NOT NULL,
	[MD5Hash_Bytes] BINARY(16) NOT NULL,
	[SHA1Hash_Bytes] BINARY(20) NOT NULL,
	[SHA256Hash_Bytes] BINARY(32) NOT NULL,
	[Download_Count] INT NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,
	[IconHash_Bytes] BINARY(16) NULL,
	[Icon_Size] INT NULL,
	[Package_Size] BIGINT NOT NULL,
	[Metadata_Bytes] VARBINARY(MAX) NOT NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[Latest_Indicator] YNINDICATOR NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[Summary_Text] NVARCHAR(MAX) NULL,
	[Description_Text] NVARCHAR(MAX) NULL,

	CONSTRAINT [PK__CondaPackages]
		PRIMARY KEY ([CondaPackage_Id]),

	CONSTRAINT [FK__CondaPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__CondaPackages__ArchiveType_Code]
		CHECK ([ArchiveType_Code] IN ('B', 'C'))
)
GO

CREATE UNIQUE INDEX [UQ__CondaPackages]
	ON [CondaPackages] ([Feed_Id], [Package_Name], [Subdir_Name], [Version_Text], [Build_Text], [ArchiveType_Code])
	INCLUDE ([Latest_Indicator])

CREATE INDEX [IX__CondaPackages__Latest]
	ON [CondaPackages] ([Feed_Id], [Package_Name], [Latest_Indicator])
	WHERE ([Latest_Indicator] = 'Y')
