EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_SetStatus',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates the status of a connector.'
GO

IF OBJECT_ID('[Connectors_SetStatus]') IS NOT NULL DROP PROCEDURE [Connectors_SetStatus]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_SetStatus]
(
	@Connector_Id INT,
	@Status_Code CHAR(1),
	@Package_Count BIGINT,
	@LastTest_Date DATETIME
)
AS BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Connectors]
	   SET [Status_Code] = @Status_Code,
	       [Package_Count] = COALESCE(@Package_Count, [Package_Count]),
		   [LastTest_Date] = COALESCE(@LastTest_Date, [LastTest_Date])
	 WHERE [Connector_Id] = @Connector_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Connectors_SetStatus] TO [ProGetUser_Role]
GO
