EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetFeeds',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Feeds',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the feeds.'
GO

IF OBJECT_ID('[Feeds_GetFeeds]') IS NOT NULL DROP PROCEDURE [Feeds_GetFeeds]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetFeeds]
(
	@IncludeInactive_Indicator YNINDICATOR
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [Feeds]
	 WHERE @IncludeInactive_Indicator = 'Y' OR [Active_Indicator] = 'Y'
	 ORDER BY CASE WHEN [Feed_Name] = 'Default' THEN 0 ELSE 1 END, [Feed_Name]

END
GO

GRANT EXECUTE ON [Feeds_GetFeeds] TO [ProGetUser_Role]
GO
