EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_CreateOrUpdateInstallInstructions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'PackageInstallInstruction_Id',
    /* Description_Text        */ 'Creates or updates the specified package install instructions.'
GO

IF OBJECT_ID('[Packages_CreateOrUpdateInstallInstructions]') IS NOT NULL DROP PROCEDURE [Packages_CreateOrUpdateInstallInstructions]
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_CreateOrUpdateInstallInstructions]
(
	@Feed_Id INT,
    @PackageInstallInstruction_Name NVARCHAR(50) = NULL,
    @PackageInstallInstruction_Instructions NVARCHAR(MAX) = NULL,	
	@PackageInstallInstruction_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON
	IF @PackageInstallInstruction_Id IS NULL
	BEGIN
		INSERT INTO [PackageInstallInstructions]
		(
			[Feed_Id],
			[PackageInstallInstruction_Name],
			[PackageInstallInstruction_Instructions]
		)
		VALUES
		(
			@Feed_Id,
			@PackageInstallInstruction_Name,
			@PackageInstallInstruction_Instructions
		)

		SET @PackageInstallInstruction_Id = SCOPE_IDENTITY()
	END
	ELSE
	BEGIN
		UPDATE [PackageInstallInstructions]
		SET [PackageInstallInstruction_Name] = COALESCE(@PackageInstallInstruction_Name, [PackageInstallInstruction_Name]),
			[PackageInstallInstruction_Instructions] = COALESCE(@PackageInstallInstruction_Instructions, [PackageInstallInstruction_Instructions])
		WHERE [PackageInstallInstruction_Id] = @PackageInstallInstruction_Id
	END

END
GO

GRANT EXECUTE ON [Packages_CreateOrUpdateInstallInstructions] TO [ProGetUser_Role]