EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_GetDeletedPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DeletedPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of all packages that have been deleted since the specified date.'
GO

IF OBJECT_ID('[Packages_GetDeletedPackages]') IS NOT NULL DROP PROCEDURE [Packages_GetDeletedPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_GetDeletedPackages]
(
    @Feed_Id INT,
	@Since_Date DATETIME = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [DeletedPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Since_Date IS NULL OR [DeletedOn_Date] >= @Since_Date)
  ORDER BY [Feed_Id], [Group_Name], [Package_Name]

END
GO

GRANT EXECUTE ON [Packages_GetDeletedPackages] TO [ProGetUser_Role]
GO