EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PypiPackages_GetPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PypiPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets PyPI packages from the specified feed.'
GO

IF OBJECT_ID('[PypiPackages_GetPackages]') IS NOT NULL DROP PROCEDURE [PypiPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PypiPackages_GetPackages]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200) = NULL,
	@Version_Text VARCHAR(200) = NULL,
	@File_Name VARCHAR(200) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [PypiPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Package_Name IS NULL OR [Package_Name] = @Package_Name)
	   AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)
	   AND (@File_Name IS NULL OR [File_Name] = @File_Name)

END
GO

GRANT EXECUTE ON [PypiPackages_GetPackages] TO [ProGetUser_Role]
GO
