EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_SetLatestVersion',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the latest version of an RPM package.'
GO

IF OBJECT_ID('[RpmPackages_SetLatestVersion]') IS NOT NULL DROP PROCEDURE [RpmPackages_SetLatestVersion]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_SetLatestVersion]
(
	@RpmPackage_Id INT,
	@Latest_RpmPackageVersion_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [RpmPackages]
	   SET [LatestPackageVersion_Id] = @Latest_RpmPackageVersion_Id
	 WHERE [RpmPackage_Id] = @RpmPackage_Id

END
GO

GRANT EXECUTE ON [RpmPackages_SetLatestVersion] TO [ProGetUser_Role]
GO