EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RubyGems_SearchGems',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RubyGems_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the Gems in the Ruby feed that have the search term in the name or summary fields.'
GO

IF OBJECT_ID('[RubyGems_SearchGems]') IS NOT NULL DROP PROCEDURE [RubyGems_SearchGems]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RubyGems_SearchGems]
(
	@Feed_Id INT,
	@SearchTerm_Text VARCHAR(200),
	@Max_Count INT
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [RubyGems_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Gem_Name] LIKE ('%' + @SearchTerm_Text + '%')
	        OR ([Summary_Text] LIKE ('%' + @SearchTerm_Text + '%')))
	 ORDER BY [Download_Count] DESC

END
GO

GRANT EXECUTE ON [RubyGems_SearchGems] TO [ProGetUser_Role]
GO