EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetPrivilegesAndRoles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Privileges_Extended,RoleTasks_Extended,Tasks',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of privileges assigned and a list of roles in the system and.'
GO

IF OBJECT_ID('[Security_GetPrivilegesAndRoles]') IS NOT NULL DROP PROCEDURE [Security_GetPrivilegesAndRoles]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_GetPrivilegesAndRoles]
(
	@UserDirectory_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Privileges_Extended]
	 WHERE ((@UserDirectory_Id IS NULL AND [UserDirectory_Id] IS NULL) OR [UserDirectory_Id] = @UserDirectory_Id)

	SELECT r.[Role_Id]
		,r.[Role_Name]
		,r.[Role_Description]
		,rt.[Task_Id]
		,rt.[Task_Name]
	  FROM [Roles] r
	  LEFT JOIN [RoleTasks_Extended] rt on rt.[Role_Id] = r.[Role_Id]

	SELECT *
	  FROM [Tasks]
END
GO

GRANT EXECUTE ON [Security_GetPrivilegesAndRoles] TO [ProGetUser_Role]
GO
