EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'VulnerabilitySources_GetAllDockerBlobs',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerImageLayers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the local docker blobs for feeds which reference the specified vulnerability source.'
GO

IF OBJECT_ID('[VulnerabilitySources_GetAllDockerBlobs]') IS NOT NULL DROP PROCEDURE [VulnerabilitySources_GetAllDockerBlobs]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VulnerabilitySources_GetAllDockerBlobs]
(
	@VulnerabilitySource_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT DBS.[DockerImage_Id],
	       DBS.[DockerRepository_Id],
		   DBS.[Repository_Name],
		   DBS.[Feed_Id],
		   DBS.[Layer_Sequence],
		   DBS.[DockerBlob_Id],
		   DBS.[Blob_Digest],
		   DBS.[Blob_Size],
		   DBS.[Cached_Indicator],
		   DBS.[Download_Count],
		   DBS.[LastRequested_Date],
		   DBS.[MediaType_Name]
	  FROM [FeedVulnerabilitySources] FVS
	       INNER JOIN [DockerImageLayers_Extended] DBS
		           ON DBS.[Feed_Id] = FVS.[Feed_Id]
	 WHERE FVS.[VulnerabilitySource_Id] = @VulnerabilitySource_Id

END
GO

GRANT EXECUTE ON [VulnerabilitySources_GetAllDockerBlobs] TO [ProGetUser_Role]
GO